## MeshSubdivideWithCenter

### Introduced

v1.5

### Description

Generates a subdivided mesh from an input mesh and positions its center at the same center as the one of its input mesh.
The subdivided mesh is a smoothed version of the input mesh.
The input parameters are the same as the ones for ApplyOp.
Doing ApplyOp "MeshSubdivide" will generate a subdivided mesh with its center at the origin. This is currently the default for all generator operators.

### Scripting Syntax

    MeshSubdivideWithCenter( PresetObj, [ConnectionSet], [ConnectType], [ImmediateMode], [GenOpInputsDisposal] );

### Parameters

Parameter | Type | Description
--- | --- | ---
PresetObj | String or preset object (see SIGetPreset) | One of the mesh subdivide Generator Operators Default Value: "MeshSubdivideWithCenter"
Possible Values: | Description:
MeshSubdivideWithCenter | MeshSubdivideWithCenter operator preset
MeshSubdivide | MeshSubdivide operator preset
ConnectionSet | ConnectionSet | Objects to apply subdivide to. See OpPreset for details on the connection set required for this operator. Note: Because this is an in/out parameter, any string (variable or value) you pass into this parameter is automatically converted to a ConnectionSet object. Default Value: No default. Warning: An error occurs if the connection set is invalid. Please verify the connection set required for this operator to avoid breaking your scripts.
ConnectType | siBranchFlag | Specifies whether this applies to the object as a node or as a branch. Default Value: siUnspecified
ImmediateMode | siOperationMode | Specifies whether or not the operator should be immediately frozen. Default Value: siPersistentOperation
GenOpInputsDisposal | siGeneratorInputsDisposalMode | Specifies what to do with the input objects after the operation is performed. Default Value: siKeepGenOpInputs
Possible Values: | Description:
siKeepGenOpInputs | The inputs will be kept
siHideGenOpInputs | The inputs will be hidden
siDeleteGenOpInputs | The inputs will be deleted

### Examples

#### VBScript Example

    'This example shows how to generate a subdivision surface from an input mesh.
    newscene
    'Create a generated subdivided sphere...
    'Center is placed at center of generated object and not origin.
    CreatePrim "Sphere", "MeshSurface"
    Translate , 5, 0, 0, siAbsolute, siParent, siObj, siX
    MeshSubdivideWithCenter , "sphere", , siPersistentOperation

### See Also

ApplyOp